!include "MUI.nsh"

SetCompressor /SOLID lzma

!define MUI_PAGE_CUSTOMFUNCTION_SHOW change_license_font
!insertmacro MUI_PAGE_LICENSE "COPYING.txt"

Function change_license_font
    FindWindow $0 "#32770" "" $HWNDPARENT
    CreateFont $1 "Lucida Console" "7"
    GetDlgItem $0 $0 1000
    SendMessage $0 ${WM_SETFONT} $1 1
FunctionEnd

!insertmacro MUI_PAGE_DIRECTORY
!insertmacro MUI_PAGE_INSTFILES

!insertmacro MUI_UNPAGE_CONFIRM
!insertmacro MUI_UNPAGE_INSTFILES

!define MUI_FINISHPAGE_RUN
!define MUI_FINISHPAGE_RUN_TEXT "Muckturnier starten"
!define MUI_FINISHPAGE_RUN_FUNCTION "LaunchLink"
!insertmacro MUI_PAGE_FINISH

!insertmacro MUI_LANGUAGE "German"

Name "Muckturnier"
InstallDir "$PROGRAMFILES\Muckturnier"

Section "Muckturnier"
    SetOutPath "$INSTDIR"
    File muckturnier.exe
    File COPYING.txt
    File ChangeLog.txt
    File Readme.htm
    WriteUninstaller "$INSTDIR\uninstall.exe"
    CreateDirectory "$SMPROGRAMS\Muckturnier"
    CreateShortcut "$SMPROGRAMS\Muckturnier\Muckturnier.lnk" "$INSTDIR\muckturnier.exe" "" ""
    CreateShortcut "$SMPROGRAMS\Muckturnier\Handbuch zu Muckturnier.lnk" "$INSTDIR\Readme.htm" "" ""
    CreateShortcut "$SMPROGRAMS\Muckturnier\Muckturnier deinstallieren.lnk" "$INSTDIR\uninstall.exe" "" ""
SectionEnd

Function LaunchLink
    ExecShell "" "$SMPROGRAMS\Muckturnier\Muckturnier.lnk"
FunctionEnd

Section "Uninstall"
    Delete "$INSTDIR\uninstall.exe"
    Delete "$INSTDIR\muckturnier.exe"
    Delete "$INSTDIR\COPYING.txt"
    Delete "$INSTDIR\ChangeLog.txt"
    Delete "$INSTDIR\Readme.htm"
    RMDir "$INSTDIR"
    Delete "$SMPROGRAMS\Muckturnier\Muckturnier.lnk"
    Delete "$SMPROGRAMS\Muckturnier\Handbuch zu Muckturnier.lnk"
    Delete "$SMPROGRAMS\Muckturnier\Muckturnier deinstallieren.lnk"
    RMDir "$SMPROGRAMS\Muckturnier"
SectionEnd
